BEGIN ~SHAR~

IF ~NumTimesTalkedTo(0)
~ THEN BEGIN 0
  SAY @0
  IF ~~ THEN EXTERN ~MORTIUS~ 0
END

IF ~~ THEN BEGIN 1
  SAY @1
  IF ~~ THEN EXTERN ~MORTIUS~ 1
END

IF ~~ THEN BEGIN 2
  SAY @2
  IF ~~ THEN REPLY @3 GOTO 3
  IF ~~ THEN REPLY @4 GOTO 4
  IF ~~ THEN REPLY @5 GOTO 5
END

IF ~~ THEN BEGIN 3
  SAY @6
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 4
  SAY @7
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 5
  SAY @8
  IF ~~ THEN DO ~Enemy()
~ EXIT
END
